Subject: Re: bug#76440: 30.1; different behavaiour of 29.4 and 30 for ivy completition of absolute paths

From: Evgeniy Dushistov <[email-masked]>
Date: Thu, 20 Feb 2025 22:50:12 +0300

On Thu, Feb 20, 2025 at 06:26:53PM +0100, Basil L. Contovounesios wrote:
> Stefan Kangas [2025-02-20 10:29 -0600] wrote:
> 
> > Evgeniy Dushistov writes:
> >
> >> After start open "/tmp" directory, and then press
> >> C-x C-f and then type /var, the content of minibuffer would be
> >> "/tmp//var",
> >> if after that press TAB
> >> the result would be "/tmp/var"
> >> while expected "/var".
> >>
> >> emacs 29.4 gives "/var", while emacs 30.1-rc1 gives "/tmp/var".
> 
> Thanks, I can reproduce this.
> 

The similar, but much worse issue competition of absolute paths
with gud-gdb+ivy:

M-x gud-gdb
In minibuffer:
"gdb --fullname /tmp"

press TAB, and for some reason get:
"gdb --fullname tmp/"

ok, I fix this and add almost all path to 
existing directory (build-dir):
"gdb --fullname /tmp/build-d"

press TAB, and get:
"gdb --fullname build-dir"

so it just remove for some reason "/tmp" when complete path,
again I fix it in minibuffer, and add almost all path to existing
binary(exe):
"gdb --fullname /tmp/build-dir/ex"

press TAB and get:
"gdb --fullname /tmp/build-direxe"

instead of
"gdb --fullname /tmp/build-dir/exe"

So with gdb-gud+ivy+emacs 30.1 TAB almost always gives not
valid path for some reason, while with emacs 29.4 all works perfect.

-- 
/Evgeniy